import {Button, Dialog, DialogTrigger, makeStyles} from "@fluentui/react-components";
import {ConnectionCreate} from "../connection/new";
import {CloudAddFilled} from "@fluentui/react-icons";
import {useState} from "react";

const useStyles = makeStyles({
    header: {
       height: "5rem",
        width: "100%",
        display: 'flex',
        alignItems: "center",
        borderBottom: "1px solid lightgray",
    },
    button_new_connection: {
     margin: '0.5rem',
    },
})

export function Header() {
    const styles = useStyles();
    const [openCreate, setOpenCreate] = useState(false);

    return <div className={styles.header}>
        <div className={styles.button_new_connection}>
            <Dialog
                open={openCreate}
                onOpenChange={(event, data) => setOpenCreate(data.open)}>
                <DialogTrigger disableButtonEnhancement>
                    <Button appearance="primary" icon={<CloudAddFilled/>}>
                        新建连接
                    </Button>
                </DialogTrigger>
                <ConnectionCreate openFn={setOpenCreate}/>
            </Dialog>
        </div>
    </div>
}